# Uses of Enum Class
org.bukkit.entity.EntityCategory

Packages that use EntityCategory
Package
Description
org.bukkit.enchantments
Classes relating to the specialized enhancements to `item stacks`, as part of the `meta data`.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of EntityCategory in org.bukkit.enchantments

Methods in org.bukkit.enchantments with parameters of type EntityCategory
Modifier and Type
Method
Description
`abstract float`
Enchantment.`getDamageIncrease(int level, EntityCategory entityCategory)`
Gets the damage increase as a result of the level and entity category specified
`float`
EnchantmentWrapper.`getDamageIncrease(int level, EntityCategory entityCategory)`

## Uses of EntityCategory in org.bukkit.entity

Methods in org.bukkit.entity that return EntityCategory
Modifier and Type
Method
Description
`@NotNull EntityCategory`
LivingEntity.`getCategory()`
Get the category to which this entity belongs.
`static EntityCategory`
EntityCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityCategory[]`
EntityCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.